%define debug_package	%{nil}

%define oname	elisa-plugins-good

%define rel	4

%define svn	0
%define pre	0
%if %svn
%define release		%mkrel 0.%svn.%rel
%define distname	%name-%svn.tar.lzma
%define distdir		%oname
%else
%if %pre
%define release		%mkrel 0.%pre.%rel
%define distname	%name-%version.%pre.tar.gz
%define distdir		%oname-%version.%pre
%else
%define release		%mkrel %rel
%define distname	%name-%version.tar.gz
%define distdir		%oname-%version
%endif
%endif

Summary:	'Good' plugins for the Moovida media center
Name:		moovida-plugins-good
Version:	1.0.9
Release:	%{release}
Source0:	http://www.moovida.com/media/public/%{distname}
License:	GPLv3
Group:		Development/Python
URL:		http://www.moovida.com/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python
BuildRequires:	python-setuptools
BuildRequires:	python-devel
BuildRequires:	python-twisted
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	gstreamer0.10-python
BuildRequires:	moovida-core = %{version}
Requires:	moovida = %{version}
# For UPnP support
Suggests:	python-coherence
# For the weather report plugin
Suggests:	python-pymetar
Provides:	elisa-plugins-good = %{version}-%{release}
Obsoletes:	elisa-plugins-good < %{version}-%{release}

%description
Moovida is a project to create an open source cross platform media center 
solution. This package contains 'good' (well-written and legally clean)
plugins for Moovida.

%prep
%setup -q -n %{distdir}

%build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} --single-version-externally-managed --compile --optimize=2

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{py_puresitedir}/elisa/plugins/*
%{py_puresitedir}/elisa_plugin_*-py%{pyver}.egg-info
%{py_puresitedir}/elisa_plugin_*-py%{pyver}-nspkg.pth





%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.9-4.mga3
+ Revision: 360273
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 pterjan <pterjan> 1.0.9-3.mga3
+ Revision: 335480
- Better fix for new rpm

* Wed Dec 26 2012 pterjan <pterjan> 1.0.9-2.mga3
+ Revision: 335434
- Workaround new rpm limitation

* Sun Mar 06 2011 ennael <ennael> 1.0.9-1.mga1
+ Revision: 65363
- imported package moovida-plugins-good

